Page MenuHomePhabricator

Rebuild labvirt1012 as cloudvirt1012
Closed, ResolvedPublic

Description

This host is now empty and ready to move to the new region.

Reimage + rename this server to the new naming scheme.

  • disable puppet in labvirt1012
  • merge puppet patch to rename, get the new debian installer working and disable notifications (rename hieradata/hosts/labvirt1012.yaml to cloudvirt1012.yaml and add "profile::base::notifications: disabled" temporarily)
  • merge dns patch to add the new FQDNs (partial, the old mgmt names still remains)
  • run the wmf-auto-reimage-host script (used old-school method)
  • merge DNS cleanup patch
  • merge puppet patch to re-enable notifications (remove "profile::base::notifications")
  • netbox update
  • update docs https://wikitech.wikimedia.org/wiki/Portal:Cloud_VPS/Admin/Deployments
  • move to a 10g rack, replace 1g connections with 10g
  • physical relabeling and switch port description T216192
  • done

Event Timeline

Andrew created this task.Feb 14 2019, 9:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 9:58 PM
This comment was removed by Andrew.

Change 490781 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/dns@master] Rename labvirt1012 to cloudvirt1012

https://gerrit.wikimedia.org/r/490781

Change 490782 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/dns@master] Remove old refs to labvirt1012

https://gerrit.wikimedia.org/r/490782

Change 490780 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Rename labvirt1012 to cloudvirt1012, with Stretch

https://gerrit.wikimedia.org/r/490780

Mentioned in SAL (#wikimedia-operations) [2019-02-14T22:07:17Z] <andrewbogott> rebuilding labvirt1012 as cloudvirt1012, T216190

Change 490780 merged by Andrew Bogott:
[operations/puppet@production] Rename labvirt1012 to cloudvirt1012, with Stretch

https://gerrit.wikimedia.org/r/490780

Change 490782 abandoned by Andrew Bogott:
Remove old refs to labvirt1012

https://gerrit.wikimedia.org/r/490782

Change 490781 merged by Andrew Bogott:
[operations/dns@master] Rename labvirt1012 to cloudvirt1012

https://gerrit.wikimedia.org/r/490781

Change 490784 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloudvirt1012: disable notifications during rebuild

https://gerrit.wikimedia.org/r/490784

Change 490784 merged by Andrew Bogott:
[operations/puppet@production] cloudvirt1012: disable notifications during rebuild

https://gerrit.wikimedia.org/r/490784

Change 490785 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloudvirt1012: use the new, weird 'eno' names for nics

https://gerrit.wikimedia.org/r/490785

Change 490785 merged by Andrew Bogott:
[operations/puppet@production] cloudvirt1012: use the new, weird 'eno' names for nics

https://gerrit.wikimedia.org/r/490785

Andrew updated the task description. (Show Details)Feb 14 2019, 10:21 PM

Change 490786 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloudvirt1012: enable notifications

https://gerrit.wikimedia.org/r/490786

Andrew updated the task description. (Show Details)Feb 14 2019, 10:28 PM
Andrew updated the task description. (Show Details)Feb 14 2019, 10:56 PM
aborrero triaged this task as High priority.Feb 15 2019, 11:33 AM
aborrero moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Mentioned in SAL (#wikimedia-cloud) [2019-02-15T11:34:43Z] <arturo> T216190 cleanup from nova database nova service-delete 35

aborrero renamed this task from Rebuild labvirt1012 and cloudvirt1012 to Rebuild labvirt1012 as cloudvirt1012.Feb 15 2019, 11:39 AM

We should rebuild the RAID and leave some spare disks before adding actual workload to this server.

Mentioned in SAL (#wikimedia-operations) [2019-02-15T14:45:31Z] <moritzm> removed labvirt1012 from debmonitor (got renamed to cloudvirt1012) (T216190)

Change 490786 merged by Andrew Bogott:
[operations/puppet@production] cloudvirt1012: enable notifications

https://gerrit.wikimedia.org/r/490786

Andrew updated the task description. (Show Details)Feb 28 2019, 5:08 PM
Andrew closed this task as Resolved.May 15 2019, 7:07 PM
Andrew updated the task description. (Show Details)